Skip to main content
POST
Post message
Deprecated Endpoint: This endpoint is part of the Chat API which is deprecated.Please migrate to the Completions v2 API for new projects.Migration Guide →
By providing chat_id a new message will be added to the chat session. If no chat_id is provided, a new chat session will be created. Default behavior:
  • Gloo AI will perform a sentiment analysis on your prompt.
  • Gloo AI will provide suggestion follow ups
  • Depending on your prompt, Gloo AI will return sources that have influenced the response from our trusted partners.
You can choose to override the defaults with the query params: intent, enable_sources, enable_suggestions. Example 1: You want a rich answer that is based on trusted sources and provides you follow up suggestions. Omit all query params. Example 2: You know that your prompt is going to require trusted sources as a part of the answer. You also want to not have follow up suggestions. intent: 1, enable_suggestions: 0 Example 3: You know that your prompt is not going to require trusted sources. You also want to not have follow up suggestions. intent: 0, enable_suggestions: 0

Authorizations

Authorization
string
header
default:<api-key>
required

Bearer authentication header of the form Bearer <api-key>, where <api-key> is your API key.

Path Parameters

v
enum<string>
required
Available options:
v1

Query Parameters

chat_id
string | null
default:""
intent
enum<integer> | null
Available options:
0,
1
enable_sources
enum<integer> | null
default:1
Available options:
0,
1,
2
enable_suggestions
enum<integer> | null
default:1
Available options:
0,
1

Body

application/json
chat_id
string | null
default:""

chat_id can also be provided as a query param

query
string
default:What is your name?

Chat with KALLM.

character_limit
integer | null

Limit the response length.

sources_limit
integer | null
default:10

Limit the sources search.

stream
boolean | null
default:false

Stream response as soon as tokens are generated by the model.

publishers
string[] | null

List of Publisher Names

Response

Successful response

The response is of type Response Post-Message · object.